"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _loaderUtils = require("loader-utils");

function replaceImportPlugin(source) {
  const options = (0, _loaderUtils.getOptions)(this);
  const matcher = /\/\*\*@ddf-replace-import\*\//g;
  let result = source.replace(matcher, (_match, _offset, string) => {
    let result;
    Object.entries(options).forEach(([key, value]) => {
      result = string.replace(new RegExp(`@@${key}`, 'g'), value);
    });
    return result;
  });
  result = result.replace(matcher, '');
  return result;
}

var _default = replaceImportPlugin;
exports.default = _default;
